package com.ss.android.ugc.aweme.challenge.service;

import X.C3527BNr;
import X.C3528BNs;
import X.Lnj;
import android.app.Activity;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.discover.model.Challenge;
import com.ss.android.ugc.aweme.music.model.Music;

public class ChallengeServiceImpl implements IChallengeService {
    public final IChallengeService LIZ = C3528BNs.LIZ;

    static {
        Covode.recordClassIndex(55749);
    }

    public final Class<? extends Activity> LIZ() {
        return this.LIZ.LIZ();
    }

    public static IChallengeService LIZIZ() {
        MethodCollector.i(3927);
        IChallengeService iChallengeService = (IChallengeService) Lnj.LIZ(IChallengeService.class, false);
        if (iChallengeService != null) {
            MethodCollector.o(3927);
            return iChallengeService;
        }
        Object LIZIZ = Lnj.LIZIZ(IChallengeService.class, false);
        if (LIZIZ != null) {
            IChallengeService iChallengeService2 = (IChallengeService) LIZIZ;
            MethodCollector.o(3927);
            return iChallengeService2;
        }
        if (Lnj.LJJLIIIJL == null) {
            synchronized (IChallengeService.class) {
                try {
                    if (Lnj.LJJLIIIJL == null) {
                        Lnj.LJJLIIIJL = new ChallengeServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3927);
                    throw th;
                }
            }
        }
        ChallengeServiceImpl challengeServiceImpl = (ChallengeServiceImpl) Lnj.LJJLIIIJL;
        MethodCollector.o(3927);
        return challengeServiceImpl;
    }

    public final Challenge LIZ(String str, int i, boolean z) {
        return this.LIZ.LIZ(str, i, z);
    }

    public final void LIZ(String str, String str2, String str3, Music music, C3527BNr bNr) {
        this.LIZ.LIZ(str, str2, str3, music, bNr);
    }
}
